@charset "UTF-8";


html,
body {
  margin: 0;
  min-height: 100%;
  background: rgb(0, 0, 0);
  font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
}

body {
  position: relative;
}

body::before {
  content: "";
  position: absolute;
  inset: 0;
  background: url("../bilder/compass-free.png") center top no-repeat;
  background-position: center 200px;
  background-size: clamp(1200px, 120%, 2000px);
  z-index: 0;
  pointer-events: none;
}

header,
main,
footer {
  position: relative;
}

.top-picture {
  margin: 0 auto;
  display: flex;
  justify-content: flex-end;
  align-items: center;
  width: 100%;
  aspect-ratio: 4/1;
  position: relative;
  overflow: hidden;
  /* wichtig */
}

.header-img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  /* ersetzt background-size: cover */
  display: block;
}

.logo-urbangrafix {
  position: absolute;
  top: 20px;
  right: -40px;
  width: clamp(100px, 20vw, 30%);
}

.logo-urbangrafix img {
  width: 80%;
  height: auto;
  display: block;
}

footer {
  margin-top: 50px;
  padding-bottom: 60px;
}

h1 {
  margin-left: 20px;
  margin-right: 20px;
  position: relative;
  z-index: 1;
  margin-top: 15px;
  margin-bottom: 15px;
  font-weight: lighter;
  font-size: 100px;
  text-align: center;
  font-size: clamp(1.7rem, 5vw, 20rem);
  color: rgb(59, 176, 100);
  margin-top: 0px;
}

h2 {
  margin-left: 20px;
  margin-right: 20px;
  padding-top: 10px;
  padding-bottom: 30px;
  font-weight: normal;
  color: rgb(10, 145, 190);
  text-align: center;
  font-size: clamp(1.5rem, 4vw, 4.5rem);
}

p {
  color: rgb(244, 239, 239);
  margin-top: 20px;
  padding-right: 50px;
  font-weight: lighter;
}


/* Burger-Menu */
.menu-checkbox {
  display: none;
}

/* Toggle (3 Striche / X) */
.menu-toggle {
  position: absolute;
  top: 25px;
  left: 20px;
  width: 40px;
  height: 30px;
  cursor: pointer;
  z-index: 1100;
}

/* Striche */
.menu-toggle span {
  position: absolute;
  left: 0;
  width: 100%;
  height: 4px;
  background: white;
  border-radius: 2px;
}

/* Striche normal */
.menu-toggle span:nth-child(1) {
  top: 0;
}

.menu-toggle span:nth-child(2) {
  top: 50%;
  transform: translateY(-50%);
}

.menu-toggle span:nth-child(3) {
  bottom: 0;
}

/* X Animation */
/* X beim Öffnen */
.menu-checkbox:checked+.menu-toggle span:nth-child(1) {
  top: 50%;
  transform: translateY(-50%) rotate(45deg);
}

.menu-checkbox:checked+.menu-toggle span:nth-child(3) {
  top: 50%;
  transform: translateY(-50%) rotate(-45deg);
}

.menu-checkbox:checked+.menu-toggle span:nth-child(2) {
  opacity: 0;
}


/* Menü selbst */
.burger-menu {
  position: absolute;
  top: 60px;
  left: 20;
  width: 185px;
  z-index: 9999;
  background: rgba(18, 19, 19, 0.5);
  display: flex;
  flex-direction: column;
  padding: 0px 0;
  border-radius: 0 0 5px 5px;
  z-index: 1050;

  max-height: 0;
  overflow: hidden;
  transition: max-height 0.3s ease;
}

/* Links */
.burger-menu a {
  margin-left: 20px;
  padding: 10px;
  margin-bottom: 2px;
  color: white;
  font-size: 1.3rem;
  text-decoration: none;
}

/* Aufklappen */
.menu-checkbox:checked~.burger-menu {
  max-height: 550px;
}

/* Mobile Ansicht */
@media (max-width: 768px) {
  .menu-toggle {
    display: block;
  }

  .nav-buttons {
    display: none;
  }
}

.hero-image {
  padding: 30px;
  display: block;
  margin: 0 auto;
  width: 80%;
  transition: transform 0.4s ease, filter 0.4s ease;
}

.hero-image:hover {
  transform: scale(0.8);
  filter:
    saturate(1.4)
    /* mehr Farbsättigung */
    contrast(1.1)
    /* etwas knackiger */
    brightness(1.05)
    /* minimal heller */
    drop-shadow(0 0 6px rgba(255, 255, 255, 0.9)) drop-shadow(0 0 20px rgba(255, 255, 255, 0.4));
}

.side-image-wrapper {
  margin-left: 20px;
  position: relative;
  display: inline-block;
}

.side-image-wrapper img {
  margin-left: 0;
  display: block;
  height: clamp(150px, 25vw, 450px);
  width: auto;
  border: 5px solid rgba(110, 255, 177, 0.4);
  border-radius: 10px;
}

.side-image-wrapper:hover {
  transform: scale(1);
  border: 2px solid #6effb1;
  border-radius: 10px;


  box-shadow:
    0 0 10px #6effb1,
    0 0 20px #6effb1,
    0 0 40px #6effb1;
  /* Glow */
}

.side-image-name {
  margin-left: 30px;
  position: absolute;
  bottom: 5px;
  width: 100%;
  text-align: left;
  background: transparent;
  color: rgb(18, 18, 18);
  padding: 4px 8px;
  font-size: clamp(1rem, 1.2vw, 1.5rem);
}

.text-image-wrapper {
  margin-top: 5px;
  display: flex;
  /* Bild links, Text rechts */
  align-items: flex-start;
  /* oben ausrichten */
  gap: 2rem;
  max-width: 100%;
}

.text-image-wrapper p {
  margin: 0;
  font-size: clamp(1rem, 3vw, 2.5rem);
  line-height: clamp(1.5rem, 2.5vw, 6rem);
 /* Text skaliert */
}

.hero-image {
  display: block;
  margin: 0 auto;
  width: 70%;
  transition: transform 0.4s ease, filter 0.4s ease;
}

.hero-image:hover {
  transform: scale(1.4);
  filter:
    saturate(1.4)
    /* mehr Farbsättigung */
    contrast(1.1)
    /* etwas knackiger */
    brightness(1.05)
    /* minimal heller */
    drop-shadow(0 0 6px rgba(255, 255, 255, 0.9)) drop-shadow(0 0 20px rgba(255, 255, 255, 0.4));
}

.cards {
  margin-left: 50px;
  margin-right: 50px;
  display: flex;
  flex-wrap: wrap;
  margin-top: 50px;
  gap: 40px;
  justify-content: center;
  /* Zentriert die Boxen auf allen Bildschirmgrößen */
}

.card {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  min-width: 110px;
  width: clamp(110px, 18vw, 350px);
  height: clamp(110px, 18vw, 350px);

  background: none;
  border: 2px solid rgba(110, 255, 177, 0.4);
  /* 60% transparent */

  border-radius: 10px;
  overflow: hidden;
  color: black;
  text-decoration: none;
}

.card:hover {
  animation: vergroessern 0.8s ease-in-out both;

  transform: scale(1.1);
  border: 2px solid #6effb1;

  box-shadow:
    0 0 10px #6effb1,
    0 0 20px #6effb1,
    0 0 40px #6effb1;
  /* Glow */
}

@keyframes vergroessern {
  0% {
    transform: scale(1) rotate(0deg);
  }

  25% {
    transform: scale(1.3) rotate(15deg);
  }

  50% {
    transform: scale(1.3) rotate(-15deg);
  }

  75% {
    transform: scale(1.1) rotate(10deg);
  }

  100% {
    transform: scale(1) rotate(0deg);
  }
}

.card-text {
  position: absolute;
  top: 5px;
  left: 50%;
  transform: translateX(-50%);
  z-index: 2;
  color: rgb(255, 255, 255);
  font-size: clamp(0.6rem, 1.5vw, 2rem);
  /* größer, skaliert auf Bildschirmgröße */
  text-align: center;
  /* <-- das fehlt */
  width: 100%;
  /* wichtig für echte Zentrierung */

  /* Sehr starker, weißer Glow */
  /* text-shadow:
        0 0 10px #fff,
        0 0 15px #fff,
        0 0 20px #fff,
        0 0 30px #fff; */

  font-weight: lighter;
  transition: transform 0.4s ease;

}

.card-img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  opacity: 0.15;
  /* standardmäßig unsichtbar */
  transition: opacity 0.4s ease;
  z-index: 1;
}

.card:hover .card-img {
  opacity: 1;
  /* Bild erscheint beim Hover */
}

.button-menue {
  width: 200px;
  padding: 5px;
  margin: 50px 0 10px 0;
  min-width: 100px;
  max-width: 140px;

  text-align: center;
  background-color: #3bb064;
  color: white;
  border-radius: 5px;
  border: 2px solid rgb(3, 92, 17);
}

.button-menue:hover {
  box-shadow: 0 0 15px rgba(255, 255, 255, 0.9);
  transform: scale(1.05);
}

.button-menue a {
  color: white;
  text-decoration: none;
}

.main-navigation {
  margin-left: 20px;
  margin-right: 20px;
  text-decoration: none;
  font-size: 18px;
  display: flex;
  justify-content: center;
  text-decoration: none;
  display: flex;
  gap: 20px;
}


/* DESKTOP LARGE (ab 1400px)*/
@media (min-width: 1400px) {

  header,
  main,
  footer {
    margin: 0 auto;
    max-width: 2000px;
  }
}


/* TABLET (bis 1200px)*/
@media (max-width: 1200px) {

  body {
    background-size: clamp(800px, 140%, 1400px) auto;
  }

  .logo-urbangrafix {
    width: clamp(80px, 18%, 200px);
    top: 6%;
    right: 1%;
  }

  .card {
    width: clamp(140px, 30vw, 220px);
    height: clamp(140px, 30vw, 220px);
  }
}


/* TABLET SMALL (bis 992px)*/
@media (max-width: 992px) {

  .cards {
    justify-content: center;
  }

  .card {
    width: clamp(160px, 40vw, 250px);
    height: clamp(160px, 40vw, 250px);
  }
}


/* RESPONSIVE */
@media (min-width: 600px) {
  .angebot-grid {
    grid-template-columns: repeat(4, 1fr);
  }
}

@media (min-width: 1200px) {
  .angebot-grid {
    grid-template-columns: repeat(5, 1fr);
  }
}

@media (max-width: 992px) {
  .top-picture {
    background-size: contain;
    background-position: center;
  }

  .logo-urbangrafix {
    width: clamp(80px, 20vw, 180px);
  }
}

@media (max-width: 600px) {
  .logo-urbangrafix {
    width: clamp(60px, 30vw, 100px);
  }
}

/* Burger Menü */
@media (max-width: 768px) {
  .menu-toggle {
    width: 25px;
    height: 20px;
  }

  .menu-toggle span {
    height: 2px;
  }

  .burger-menu {
    z-index: 9999;
    width: 90px;
  }

  .burger-menu a {
    font-size: 0.7rem;
    padding: 0px;
  }

  h1 {
    margin-top: -30px;
  }

  .side-image-name {
    font-size: 0.8rem;
    margin-left: 5px;
  }

  p {
    padding-right: 30px;
  }
}

@media (max-width: 600px) {
  .footer-menue {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 0 auto;
    gap: 0;
  }

  .button-menue {
    flex: none;
    width: 70%;
    max-width: 110px;
    min-width: 90px;
    text-align: center;
    margin: 2px 0;
    padding: 4px 0;
  }

  .button-menue a {
    font-size: 1rem;
    font-weight: normal;
  }

  .card-img {
    opacity: 0.7;
  }

  .card:hover .card-img {
    opacity: 1;
  }

}